Bug 165782 - [igb] igb driver should identify hardware, not software
Summary: [igb] igb driver should identify hardware, not software
Status: Closed Overcome By Events
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: 9.0-RELEASE
Hardware: Any Any
: Normal Affects Only Me
Assignee: Eric Joyner
URL:
Keywords: IntelNetworking
Depends on:
Blocks:
 
Reported: 2012-03-06 17:20 UTC by wollman
Modified: 2018-05-28 20:12 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description wollman 2012-03-06 17:20:13 UTC
The igb driver sets its device name to "Intel(R) PRO/1000 Network
Connection version - 2.2.5".  FreeBSD drivers do not, as a general
rule, announce separate version numbers (unless verbose boot is
requested), and do identify the particular hardware device which is
supported rather than the (generic) name of the product line.
Consider the following juxtaposition, copied from the boot messages on
this machine:

usbus3: EHCI version 1.0
usbus3: <Intel 82801JI (ICH10) USB 2.0 controller USB-B> on ehci0
pcib5: <ACPI PCI-PCI bridge> irq 17 at device 28.0 on pci0
pci5: <ACPI PCI bus> on pcib5
igb0: <Intel(R) PRO/1000 Network Connection version - 2.2.5> port 0xdc00-0xdc1f mem 0xdf6e0000-0xdf6fffff,0xdf6c0000-0xdf6dffff,0xdf69c000-0xdf69ffff irq 16 at device 0.0 on pci5

How-To-Repeat: 
Boot a machine with an Intel Gigabit Ethernet controller that is
supported by the igb driver.
Comment 1 Remko Lodder freebsd_committer 2012-03-07 06:43:22 UTC
Responsible Changed
From-To: freebsd-bugs->jfv

Reassign to our Intel guru: Jack
Comment 2 Sean Bruno freebsd_committer 2015-08-04 15:35:12 UTC
In general, the intel ethernet drivers do *not* have strings identifying themselves in the driver code.  This is intentional.

I am pondering how to resolve this.
Comment 3 Eric Joyner freebsd_committer 2015-08-04 17:15:40 UTC
We could add a compile-time script that takes supported device IDs in src/share/misc/pci_vendors and adds them as a header file that the driver can include. That way the name is always up-to-date, and the strings don't need to be manually updated.

Or just run something like that script locally here at Intel, then ship a separate header file with the device names that gets updated whenever we add more device support to the driver.
Comment 4 Eitan Adler freebsd_committer freebsd_triage 2018-05-28 19:48:09 UTC
batch change:

For bugs that match the following
-  Status Is In progress 
AND
- Untouched since 2018-01-01.
AND
- Affects Base System OR Documentation

DO:

Reset to open status.


Note:
I did a quick pass but if you are getting this email it might be worthwhile to double check to see if this bug ought to be closed.